# Uses of Enum Class
java.time.format.FormatStyle

Packages that use FormatStyle
Package
Description
java.time.format
Provides classes to print and parse dates and times.

- ## Uses of FormatStyle in java.time.format

  Subclasses with type arguments of type FormatStyle in java.time.format
  Modifier and Type
  Class
  Description
  `enum`
  `FormatStyle`
  Enumeration of the style of a localized date, time or date-time formatter.
  Methods in java.time.format that return FormatStyle
  Modifier and Type
  Method
  Description
  `static FormatStyle`
  FormatStyle.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FormatStyle[]`
  FormatStyle.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.time.format with parameters of type FormatStyle
  Modifier and Type
  Method
  Description
  `DateTimeFormatterBuilder`
  DateTimeFormatterBuilder.`appendLocalized(FormatStyle dateStyle, FormatStyle timeStyle)`
  Appends a localized date-time pattern to the formatter.
  `static String`
  DateTimeFormatterBuilder.`getLocalizedDateTimePattern(FormatStyle dateStyle, FormatStyle timeStyle, Chronology chrono, Locale locale)`
  Gets the formatting pattern for date and time styles for a locale and chronology.
  `static DateTimeFormatter`
  DateTimeFormatter.`ofLocalizedDate(FormatStyle dateStyle)`
  Returns a locale specific date format for the ISO chronology.
  `static DateTimeFormatter`
  DateTimeFormatter.`ofLocalizedDateTime(FormatStyle dateTimeStyle)`
  Returns a locale specific date-time formatter for the ISO chronology.
  `static DateTimeFormatter`
  DateTimeFormatter.`ofLocalizedDateTime(FormatStyle dateStyle, FormatStyle timeStyle)`
  Returns a locale specific date and time format for the ISO chronology.
  `static DateTimeFormatter`
  DateTimeFormatter.`ofLocalizedTime(FormatStyle timeStyle)`
  Returns a locale specific time format for the ISO chronology.